Package com.xebialabs.xlrelease.domain.variables

# Class PasswordStringVariable

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.domain.variables.Variable
com.xebialabs.xlrelease.domain.variables.Variable.VariableWithValue<String>
com.xebialabs.xlrelease.domain.variables.PasswordStringVariable

All Implemented Interfaces:
  `ConfigurationItem`, `VisitableItem`, `Serializable`, `Cloneable`, `Comparable<BaseConfigurationItem>`

public class PasswordStringVariable extends Variable.VariableWithValue<String>

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.xebialabs.xlrelease.domain.variables.Variable

  `Variable.VariableWithValue<V>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ExternalVariableValue`
  `externalVariableValue`
  `protected boolean`
  `multiline`
  `protected String`
  `value`

  ### Fields inherited from class com.xebialabs.xlrelease.domain.variables.Variable

  `description, inherited, key, label, requiresValue, showOnReleaseStart, valueProvider`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PasswordStringVariable()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkExternalPasswordVariable()`
  `String`
  `getEmptyValue()`
  Returns empty value for the specific sub type.
  `String`
  `getEmptyValueAsString()`
  `ExternalVariableValue`
  `getExternalVariableValue()`
  `String`
  `getValue()`
  Gets underlying value of this variable, or default value for templates.
  `String`
  `getValueAsString()`
  `boolean`
  `isMultiline()`
  `boolean`
  `isPassword()`
  `boolean`
  `isValueAssignableFrom(Object value)`
  `void`
  `setExternalVariableValue(ExternalVariableValue externalVariableValue)`
  `void`
  `setMultiline(boolean multiline)`
  `void`
  `setUntypedValue(Object newValue)`
  Sets the underlying value of this variable from given object.
  `void`
  `setValue(String value)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.variables.Variable

  `accept, checkFolderVariableValidity, checkGlobalVariableValidity, checkValidity, clone, escapeQuotes, getDescription, getInternalValue, getKey, getLabel, getRequiresValue, getShowOnReleaseStart, getValueProvider, isInherited, isValueEmpty, setDescription, setInherited, setKey, setLabel, setRequiresValue, setShowOnReleaseStart, setValueProvider`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getCiUid, getFolderId, getTitle, hasId, isSupportedOn, setCiUid, setFolderId, setTitle`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### value

    @Property(required=false, password=true, description="Password value of the release variable or default password value of the template variable") protected String value

  - ### externalVariableValue

    @Property(required=false, description="Indicates this value is stored externally", nested=true) protected ExternalVariableValue externalVariableValue

  - ### multiline

    @Property(required=false, defaultValue="false", description="If checked variable value will be multiline text ") protected boolean multiline

- ## Constructor Details

  - ### PasswordStringVariable

    public PasswordStringVariable()

- ## Method Details

  - ### getValue

    public String getValue()
    Description copied from class: `Variable`
    Gets underlying value of this variable, or default value for templates. The specific type of value depends on the type of variable.
    Specified by:
      `getValue` in class `Variable.VariableWithValue<String>`
    Returns:
      the underlying value of this variable, or default value for templates.

  - ### getEmptyValue

    public String getEmptyValue()
    Description copied from class: `Variable`
    Returns empty value for the specific sub type. Empty value is used when replacing unset optional variables.
    Specified by:
      `getEmptyValue` in class `Variable`
    Returns:
      empty value for the specific sub type.

  - ### setValue

    public void setValue(String value)
    Specified by:
      `setValue` in class `Variable.VariableWithValue<String>`

  - ### setUntypedValue

    public void setUntypedValue(Object newValue)
    Description copied from class: `Variable`
    Sets the underlying value of this variable from given object. If a conversion happens to be needed and fails, then an `IllegalArgumentException` will be thrown.
    Specified by:
      `setUntypedValue` in class `Variable`
    Parameters:
      `newValue` - the value to set: either of the type needed by this variable type, or one of convertible types.

  - ### isMultiline

    public boolean isMultiline()

  - ### setMultiline

    public void setMultiline(boolean multiline)

  - ### isPassword

    public boolean isPassword()
    Specified by:
      `isPassword` in class `Variable`

  - ### getValueAsString

    public String getValueAsString()
    Specified by:
      `getValueAsString` in class `Variable`

  - ### getEmptyValueAsString

    public String getEmptyValueAsString()
    Specified by:
      `getEmptyValueAsString` in class `Variable`

  - ### isValueAssignableFrom

    public boolean isValueAssignableFrom(Object value)
    Specified by:
      `isValueAssignableFrom` in class `Variable`

  - ### getExternalVariableValue

    public ExternalVariableValue getExternalVariableValue()

  - ### setExternalVariableValue

    public void setExternalVariableValue(ExternalVariableValue externalVariableValue)

  - ### checkExternalPasswordVariable

    public void checkExternalPasswordVariable()